Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class PropertyNode

    java.lang.Object
      weka.experiment.PropertyNode

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyNode

extends java.lang.Object
implements java.io.Serializable

Stores information on a property of an object: the class of the object with the property; the property descriptor, and the current value.

Version:
  $Revision: 1.4 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  Serialized Form

Field Summary
`java.lang.Class` | `parentClass` The class of the object with this property
`java.beans.PropertyDescriptor` | `property` Other info about the property
`java.lang.Object` | `value` The current property value

Constructor Summary
`PropertyNode(java.lang.Object pValue)` Creates a mostly empty property.
`PropertyNode(java.lang.Object pValue, java.beans.PropertyDescriptor prop, java.lang.Class pClass)` Creates a fully specified property node.

Method Summary
`java.lang.String` | `toString()` Returns a string description of this property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public java.lang.Object value

  The current property value

### parentClass

    public java.lang.Class parentClass

  The class of the object with this property

### property

    public java.beans.PropertyDescriptor property

  Other info about the property

Constructor Detail

### PropertyNode

    public PropertyNode(java.lang.Object pValue)

  Creates a mostly empty property.

  Parameters:
    `pValue` - a property value.

### PropertyNode

    public PropertyNode(java.lang.Object pValue,
                        java.beans.PropertyDescriptor prop,
                        java.lang.Class pClass)

  Creates a fully specified property node.

  Parameters:
    `pValue` - the current property value.
    `prop` - the PropertyDescriptor.
    `pClass` - the Class of the object with this property.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string description of this property.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a value of type 'String'

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD